GENDESC(1)

NAME
gendesc - gendesc documentation

Manual section
    1

Manual group
    LCOV 2.5

NAME

gendesc
    Generate a test case description file (internal application)

SYNOPSIS

gendesc [ -h | –help ] [ -v | –version ]
    [ -o | –output-filename filename ] inputfile

DESCRIPTION

Convert plain text test case descriptions into a format as understood by genhtml. inputfile needs to observe the following format:

For each test case:

•   one line containing the test case name beginning at the start of the line

•   one or more lines containing the test case description indented with at least one whitespace character (tab or space)

    Example input file:

        test01
            An example test case description.
            Description continued
        test42
            Supposedly the answer to most of your questions

    Note: valid test names can consist of letters, decimal digits and the underscore character (‘_’).

OPTIONS

-h, –help
    Print a short help text, then exit.

-v, –version
    Print version number, then exit.

-o filename, –output-filename filename
    Write description data to filename.

    By default, output is written to STDOUT.

AUTHOR

Peter Oberparleiter <<Peter.Oberparleiter@de.ibm.com>>

SEE ALSO

lcov(1) <file://../man/lcov.1.html>, genhtml(1) <file://../man/genhtml.1.html>, geninfo(1) <file://../man/geninfo.1.html>, genpng(1) <file://../man/genpng.1.html>, gcov(1) <file://../man/gcov.1.html>

<https://github.com/linux-test-project/lcov>

Copyright
2024-2026, LCOV Project